#ifndef XMMS_H
#define XMMS_H

#include <qobject.h>

#include "chat.h"
#include "modules.h"
#include "misc.h"

class Xmms : public QObject
{
    Q_OBJECT

    public:
        Xmms();
        ~Xmms();
        QString getTitle();
        QString getFile();
        int getLength();
        int getCurrentPos();
        Chat* getCurrentChat();
        QString parse(QString);

    private:
        QTimer* timer;
        QString currentTitle;
        QString descriptionToUse;
        QString descriptionToSet;
        bool xmmsSets;
        int pos();
        QPopupMenu* menu;
        int popups[4];

    public slots:
        void putSongTitle(int);
        void chatCreated(const UinsList&);
        void checkTitle();
        void toggleTimer(int);
        void checkStatusDesc(int, QString, bool&);
};

/*
inline Xmms* XmmsSymbol()
{
    Xmms** ptr = (Xmms**)modules_manager->moduleSymbol("xmms", "xmms_session");
    return *ptr;
}
*/

#endif
